%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
Name:          xf86-video-cirrus
Version:       1.6.0
Release:       1mamba
Summary:       cirrus X.Org video driver
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://ftp.x.org/archive/individual/driver/xf86-video-cirrus-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 21.1.3-1mamba
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255
Provides:      xorgdrvvideo
Provides:      xorg-drv-video-cirrus
Obsoletes:     xorg-drv-video-cirrus < 1.6.0

%description
cirrus X.Org video driver.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/cirrus_drv.so
%{_mandir}/man4/cirrus.4*

%changelog
* Sun Feb 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- update to 1.6.0

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 1.5.3-5mamba
- rebuilt by autoport with build requirements: xorg-server-devel>=21.1.3-1mamba

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.3-4mamba
- rebuilt with xorg-server 1.20.4

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 1.5.3-3mamba
- rebuild with xorg-server 1.19.5

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.3-2mamba
- rebuilt with xorg-server 1.17.2

* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 1.5.2-3mamba
- X.org 1.15 rebuild

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-2mamba
- xorg-server 1.12 mass rebuild

* Sun Jan 13 2013 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Thu Dec 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-2mamba
- mass rebuild: xorg-server 1.10 backport from devel-xorg

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Thu Jun 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Thu Jun 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-4mamba
- automatic update by autodist

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-3mamba
- automatic update by autodist

* Fri Aug 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-2mamba
- automatic port from devel

* Sun Nov 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-1mamba
- update to 1.3.2

* Sat Jun 06 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.2.1-1mamba
- Package created
